axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andreas Veithen (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AXIS2-5875) Unresolved imported packages in MANIFEST.MF of axis2.eclipse.*.plugin.
Date Sun, 10 Sep 2017 10:38:03 GMT

    [ https://issues.apache.org/jira/browse/AXIS2-5875?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16160291#comment-16160291
] 

Andreas Veithen commented on AXIS2-5875:
----------------------------------------

These errors are only present on the trunk. They are related to r1800555.

On the 1.7 there is a different error:

bq. Unsatisfied constraint: 'Import-Package: javax.xml.stream; version="1.0.0"'


> Unresolved imported packages in MANIFEST.MF of axis2.eclipse.*.plugin.
> ----------------------------------------------------------------------
>
>                 Key: AXIS2-5875
>                 URL: https://issues.apache.org/jira/browse/AXIS2-5875
>             Project: Axis2
>          Issue Type: Bug
>          Components: ide plugins
>    Affects Versions: 1.8.0
>         Environment: Windows 10 Pro x86-64, Eclipse Oxygen Release (4.7.0) x86-64
>            Reporter: Thorsten Schöning
>
> I'm working on making trunk available in my Eclipse and came across the following error
messages about unresolved imported packages in axis2.eclipse.codegen.plugin and axis2.eclipse.service.plugin.
After having a look at the associated pom.xml, it seems that a lot of libs are already excluded
from the import. Therefore I ask myself if the ones of the error messages simply need to be
excluded as well? If not, shouldn't the imports be resolved using what my Eclipse provides
and the project itself? I see a lot of Jars in the lib folder of those projects, but none
of the ones with error messages.
> Additionally, no error messages are shown when I import the modules using m2e instead
of maven-eclipse-plugin, simply because the MANIFEST.MF-Builder is not created in that case.
So might it be a solution to remove the following line in the pom.xml instead of dealing with
the imports?
> {CODE}
> <buildcommand>org.eclipse.pde.ManifestBuilder</buildcommand>
> {CODE}
> I have no idea currently what the proper solution to this problem is, but have the feeling
it's removing imports...
> {QUOTE}
> No available bundle exports package 'com.google.errorprone.annotations'	MANIFEST.MF	/axis2.eclipse.codegen.plugin/META-INF
line 89	Plug-in Problem
> No available bundle exports package 'javax.jms'	MANIFEST.MF	/axis2.eclipse.codegen.plugin/META-INF
line 91	Plug-in Problem
> No available bundle exports package 'org.apache.crimson.jaxp'	MANIFEST.MF	/axis2.eclipse.codegen.plugin/META-INF
line 102	Plug-in Problem
> No available bundle exports package 'org.aspectj.lang.annotation'	MANIFEST.MF	/axis2.eclipse.codegen.plugin/META-INF
line 104	Plug-in Problem
> No available bundle exports package 'org.aspectj.lang'	MANIFEST.MF	/axis2.eclipse.codegen.plugin/META-INF
line 104	Plug-in Problem
> No available bundle exports package 'org.codehaus.stax2'	MANIFEST.MF	/axis2.eclipse.codegen.plugin/META-INF
line 89	Plug-in Problem
> No available bundle exports package 'org.joda.convert'	MANIFEST.MF	/axis2.eclipse.codegen.plugin/META-INF
line 111	Plug-in Problem
> No available bundle exports package 'org.openjdk.jdi.connect'	MANIFEST.MF	/axis2.eclipse.codegen.plugin/META-INF
line 111	Plug-in Problem
> No available bundle exports package 'org.openjdk.jdi.event'	MANIFEST.MF	/axis2.eclipse.codegen.plugin/META-INF
line 89	Plug-in Problem
> No available bundle exports package 'org.openjdk.jdi'	MANIFEST.MF	/axis2.eclipse.codegen.plugin/META-INF
line 111	Plug-in Problem
> No available bundle exports package 'org.openjdk.tools.internal.jline.console.history'
MANIFEST.MF	/axis2.eclipse.codegen.plugin/META-INF	line 113	Plug-in Problem
> No available bundle exports package 'org.openjdk.tools.internal.jline.console'	MANIFEST.MF
/axis2.eclipse.codegen.plugin/META-INF	line 89	Plug-in Problem
> No available bundle exports package 'org.openjdk.tools.internal.jline.internal'	MANIFEST.MF
/axis2.eclipse.codegen.plugin/META-INF	line 89	Plug-in Problem
> No available bundle exports package 'org.openjdk.tools.internal.jline'	MANIFEST.MF	/axis2.eclipse.codegen.plugin/META-INF
line 112	Plug-in Problem
> No available bundle exports package 'org.openjdk.tools.javadoc'	MANIFEST.MF	/axis2.eclipse.codegen.plugin/META-INF
line 114	Plug-in Problem
> No available bundle exports package 'sun.misc'	MANIFEST.MF	/axis2.eclipse.codegen.plugin/META-INF
line 116	Plug-in Problem
> No available bundle exports package 'sun.reflect.annotation'	MANIFEST.MF	/axis2.eclipse.codegen.plugin/META-INF
line 89	Plug-in Problem
> {QUOTE}
> {QUOTE}
> No available bundle exports package 'com.google.errorprone.annotations'	MANIFEST.MF	/axis2.eclipse.service.plugin/META-INF
line 61	Plug-in Problem
> No available bundle exports package 'org.aspectj.lang.annotation'	MANIFEST.MF	/axis2.eclipse.service.plugin/META-INF
line 72	Plug-in Problem
> No available bundle exports package 'org.aspectj.lang'	MANIFEST.MF	/axis2.eclipse.service.plugin/META-INF
line 61	Plug-in Problem
> No available bundle exports package 'org.codehaus.stax2'	MANIFEST.MF	/axis2.eclipse.service.plugin/META-INF
line 72	Plug-in Problem
> No available bundle exports package 'org.openjdk.jdi.connect'	MANIFEST.MF	/axis2.eclipse.service.plugin/META-INF
line 77	Plug-in Problem
> No available bundle exports package 'org.openjdk.jdi.event'	MANIFEST.MF	/axis2.eclipse.service.plugin/META-INF
line 61	Plug-in Problem
> No available bundle exports package 'org.openjdk.jdi'	MANIFEST.MF	/axis2.eclipse.service.plugin/META-INF
line 77	Plug-in Problem
> No available bundle exports package 'org.openjdk.tools.internal.jline.console.history'
MANIFEST.MF	/axis2.eclipse.service.plugin/META-INF	line 79	Plug-in Problem
> No available bundle exports package 'org.openjdk.tools.internal.jline.console'	MANIFEST.MF
/axis2.eclipse.service.plugin/META-INF	line 61	Plug-in Problem
> No available bundle exports package 'org.openjdk.tools.internal.jline.internal'	MANIFEST.MF
/axis2.eclipse.service.plugin/META-INF	line 61	Plug-in Problem
> No available bundle exports package 'org.openjdk.tools.internal.jline'	MANIFEST.MF	/axis2.eclipse.service.plugin/META-INF
line 78	Plug-in Problem
> No available bundle exports package 'org.openjdk.tools.javadoc'	MANIFEST.MF	/axis2.eclipse.service.plugin/META-INF
line 80	Plug-in Problem
> No available bundle exports package 'sun.misc'	MANIFEST.MF	/axis2.eclipse.service.plugin/META-INF
line 82	Plug-in Problem
> No available bundle exports package 'sun.reflect.annotation'	MANIFEST.MF	/axis2.eclipse.service.plugin/META-INF
line 82	Plug-in Problem
> {QUOTE}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

---------------------------------------------------------------------
To unsubscribe, e-mail: java-dev-unsubscribe@axis.apache.org
For additional commands, e-mail: java-dev-help@axis.apache.org


Mime
View raw message